> For the complete documentation index, see [llms.txt](https://docs.tracr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tracr.com/api-reference/grading-integration-service-gis-api/gis-changes.md).

# GIS Changes

## Introduction

This article provides an overview of the changes to Grading Integration Service (GIS), and provides examples of responses for Verify and Validate endpoints.

## Verify

Call `POST /v2/diamonds/kzsrfx4dxupa7a8uyn15wund/verify`

{% tabs %}
{% tab title="Request" %}

```json
{
    "carat_weight": 0.160,
    "shape_group": "Princess"
}
```

{% endtab %}

{% tab title="Successful Verification" %}

```json
{
    "status": "success",
    "is_locked": true | false              
}
```

{% endtab %}

{% tab title="Failed Verification" %}

```json
{
    "status": "failure",
    "data": {
        "carat_weight": {
            "matched": false,
            "known_value": "0.160",
            "given_value": "2.010",
            "tolerance": "0.020"
        },
        "shape_group": {
            "matched": true,
            "known_value": "Princess",
            "given_value": "Princess"
        }
    }
}
```

{% endtab %}

{% tab title="410: Deleted Diamond" %}
Returned when a diamond is not eligibile for grading because it has been deleted.

```json
{
  "reason": "diamond_has_been_deleted"
}
```

{% endtab %}

{% tab title="412: Diamond Not Eligible" %}
Returned when a diamond is not eligibile for grading.

* Diamond Not Polished

```json
{
  "reason": "diamond_is_not_polished"
}
```

* Diamond has no scan report

```json
{
  "reason": "diamond_has_no_scan_report"
}
```

* Diamond has an unsupported scan report

```json
{
  "reason": "scan_report_not_supported",
  "detail": {
    "generic_error": "'.csv' is not a supported file type for polished scan reports"
  }
}
```

* Diamond has an unparseable scan report

```json
{
  "reason": "scan_report_parse_error",
  "detail": {
    {
      "table_size_average": [
        {
          "value": "Some",
          "xpath": "/sarinDetails/stone/stone_part[@type='table']/width[@type='avg']/mm/text()",
          "error_type": "value_not_a_decimal"
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}

## Validate

Call `POST /v2/diamonds/kzsrfx4dxupa7a8uyn15wund/validate-json`

{% tabs %}
{% tab title="Request" %}

```json
{
    "shape_group": "Cushion",
    "estimated_weight_crt": 0.88,
    "girdle_avg_mm": 0.14,
    "table_avg_mm": 0.015,
    "total_depth_mm": 0.006,
    "crown_angle_deg": 0.005, 
    "pavillion_angle_deg": 0.045 
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "diamond_id": "kzsrfx4dxupa7a8uyn15wund",
    "request_id": "un33utr58f8zm6twyl6eaqym",
    "status_url": "https://api.gis.uat.tracr.com/v2/diamonds/kzsrfx4dxupa7a8uyn15wund/validate/un33utr58f8zm6twyl6eaqym",
    "verification_status": "Pending"
}
```

{% endtab %}

{% tab title="410: Deleted Diamond" %}
Returned when a diamond is not eligibile for grading because it has been deleted.

```json
{
  "reason": "diamond_has_been_deleted"
}
```

{% endtab %}

{% tab title="412: Diamond Not Eligible" %}
Returned when a diamond is not eligibile for grading.

* Diamond Not Polished

```json
{
  "reason": "diamond_is_not_polished"
}
```

* Diamond has no scan report

```json
{
  "reason": "diamond_has_no_scan_report"
}
```

* Diamond has an unsupported scan report

```json
{
  "reason": "scan_report_not_supported",
  "detail": {
    "generic_error": "'.csv' is not a supported file type for polished scan reports"
  }
}
```

* Diamond has an unparseable scan report

```json
{
  "reason": "scan_report_parse_error",
  "detail": {
    {
      "table_size_average": [
        {
          "value": "Some",
          "xpath": "/sarinDetails/stone/stone_part[@type='table']/width[@type='avg']/mm/text()",
          "error_type": "value_not_a_decimal"
        }
      ]
    }
  }
}
```

{% endtab %}

{% tab title="422: Unsupported shape group" %}
Returned when a diamond does not have a supported shape group, or fallback shape group.

```json
{
  "reason": "scan_report_parse_error", 
  "detail":  {
    "generic_error": "Invalid shape group {shape_group} provided for diamond."
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tracr.com/api-reference/grading-integration-service-gis-api/gis-changes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
